1. ortizm74's Avatar
    Bear with me here for a sec. I know I may get flamed, but thats half the fun, isn't it? lol I started out in the BB world with an 8830 on Alltel. Moved to VA and had to switch to Verizon. Started my plan with my own equipment, (gasp) an 8703, so I could save my initial discount for the then rumored Storm 2. Sold my old Curve and bought a VZW one. Then found a Tour on Craigslist for $150. Jumped at it, but it was banged up and the trackball was horrible. lol Got the guy down to $80, and went home and switched out the TB for one from an 8330. Worked like a charm. Had it activated and had it for less than 8 hours when a guy on CL wanted to trade a Tour for his brand new Storm. I wanted a Storm to see how I would like the Storm 2 and jumped at it. It had .148 when I got it, and to be honest, I loved it. Now to my observation:

    It seems that most, if not all issues present since the official release of .328, are based on the functioning or lack thereof of third party apps on the Storm. In and of itself, from my experience, the update is amazing. Device is faster, memory is more stable, threaded SMS is awesome, and hopefully the battery will stay the same or better. If you look through these threads and some of the main issues you see are:

    - White bars in landscape mode. Apparently this happens when using themes that may not be fully compatible with .328.

    - Complaints that 3d party apps arent working right.

    How can we hold RIM accountable for not planning properly to ensure all 3d party apps are fully functional with the new OS? Just seems a little ridiculous to me. In playing with my Storm and all its native apps, I see no issues; only improvements.

    Now, I am not making light of issues that any other users are having. All I am saying is that we need to maybe be a little understanding that RIM could not feasibly take into account the functionality of 3d party apps that it did not create itself.

    And yes, I know there was an issue with BBM. I downloaded .328 at about 10:05 last night. When it was done (via DM without a hitch) I noticed I had no BBM. Went to Smartphones, Cell Phones & Smart Phones at BlackBerry.com on my browser and downloaded BBM 5.0. Finished downloading and noticed it wasn't visible so I did a battery pull. It showed up and within a minute had reloaded all my contacts. Just wondering what everyone elses opinions are.
    10-26-09 08:42 AM
  2. hookbill's Avatar
    Bear with me here for a sec. I know I may get flamed, but thats half the fun, isn't it? lol I started out in the BB world with an 8830 on Alltel. Moved to VA and had to switch to Verizon. Started my plan with my own equipment, (gasp) an 8703, so I could save my initial discount for the then rumored Storm 2. Sold my old Curve and bought a VZW one. Then found a Tour on Craigslist for $150. Jumped at it, but it was banged up and the trackball was horrible. lol Got the guy down to $80, and went home and switched out the TB for one from an 8330. Worked like a charm. Had it activated and had it for less than 8 hours when a guy on CL wanted to trade a Tour for his brand new Storm. I wanted a Storm to see how I would like the Storm 2 and jumped at it. It had .148 when I got it, and to be honest, I loved it. Now to my observation:

    It seems that most, if not all issues present since the official release of .328, are based on the functioning or lack thereof of third party apps on the Storm. In and of itself, from my experience, the update is amazing. Device is faster, memory is more stable, threaded SMS is awesome, and hopefully the battery will stay the same or better. If you look through these threads and some of the main issues you see are:

    - White bars in landscape mode. Apparently this happens when using themes that may not be fully compatible with .328.

    - Complaints that 3d party apps arent working right.

    How can we hold RIM accountable for not planning properly to ensure all 3d party apps are fully functional with the new OS? Just seems a little ridiculous to me. In playing with my Storm and all its native apps, I see no issues; only improvements.

    Now, I am not making light of issues that any other users are having. All I am saying is that we need to maybe be a little understanding that RIM could not feasibly take into account the functionality of 3d party apps that it did not create itself.

    And yes, I know there was an issue with BBM. I downloaded .328 at about 10:05 last night. When it was done (via DM without a hitch) I noticed I had no BBM. Went to Smartphones, Cell Phones & Smart Phones at BlackBerry.com on my browser and downloaded BBM 5.0. Finished downloading and noticed it wasn't visible so I did a battery pull. It showed up and within a minute had reloaded all my contacts. Just wondering what everyone elses opinions are.
    I think 3rd party apps will now start designing themselves to work with 5.0 now that it's official but the b#tching and complaining will never stop. At least not here in Crackberry.

    On your BBM did you come from 4.7 to 5.0? When I first loaded .323 I had to go back and get BBM but coming from .323 to .328 it did not disappear and I have no issues with it.
    10-26-09 08:46 AM
  3. ortizm74's Avatar
    When I went to blackberry.com the link right there was for 5.0. But I had been running 5.0 with .148 before I did th eupgrade last night.
    10-26-09 08:56 AM
  4. buckifvr's Avatar
    I think the problem is that the OS from RIM keeps evolving (thankfully getting better) which makes it hard for 3rd party developers to create stable apps. RIM really should wait to introduce a new device until a "gold code" OS is installed. We would have less user complaints and developers would beable to create apps that work from the beginning.
    10-26-09 09:02 AM
  5. jaxjon's Avatar
    All I am saying is that we need to maybe be a little understanding that RIM could not feasibly take into account the functionality of 3d party apps that it did not create itself.
    RIM owns Plazmic

    Plazmic is only available in 4.7 version

    RIM should have released 5.0 version of Plazmic before letting 5.0 OS loose on the world so we could fix our themes.

    This is NOT the theme developers fault.
    10-26-09 09:05 AM
  6. ortizm74's Avatar
    jaxjon, please understand I was not putting th eblame on the developers. You guys are really waht amke the BB device so attractive. What I was saying is that I think sometimes people need to understand that the developers need time to update their stuff to work with the new released OS's.
    10-26-09 09:43 AM
  7. jaxjon's Avatar
    jaxjon, please understand I was not putting th eblame on the developers. You guys are really waht amke the BB device so attractive. What I was saying is that I think sometimes people need to understand that the developers need time to update their stuff to work with the new released OS's.
    Thank you
    10-26-09 09:49 AM
  8. mrkobra's Avatar
    RIM owns Plazmic

    Plazmic is only available in 4.7 version

    RIM should have released 5.0 version of Plazmic before letting 5.0 OS loose on the world so we could fix our themes.

    This is NOT the theme developers fault.
    ok at no point this is theme developers fault. but we all have to give rim a chance to develop 5.0. lets put this in to prospect. with out a 5.0 OS there is no need for a 5.0 plasmic. why would they release a 5.0 plasmic with out a 5.0 os. its just like sex u never get it right the first time. lest all stop complaining most of my apps work just fine. only one Pandora not working fix is in the works. trial and error people
    10-26-09 09:55 AM
  9. pstinger's Avatar
    Not going to quote for the sake of space.... but.

    @OP

    Very valid points. Any issues that center around 3rd party apps rest solely on the shoulders of those developers. It's not their fault - i.e. RIM didn't release the 5.0 dev tools soon enough to have full forward compatibility - but that's where the blame exists. In the case of a few, the blame falls on RIM as they are the developer - e.g. Facebook. Facebook is developed by RIM; if it has a lack of compatibility, it is RIM's fault.

    That aside, the issues that I see with the release are not app-related (at least not 3rd-party). Civic found the graphical glitch in the stock theme wherein the first icon in the 2-row scheme is compressed, often resulting in the label overlapping the image. I loaded the FW clean - e.g. no apps beyond what came with the release - and got a 507 error right off the bat. Once that was resolved, I got a nullpointer exception and a java.lang exception. That was fixed (hopefully) with another clean install. Since then I've been getting input system crashes (the device tells me the input system has encountered an error and needs to restart; which it does seamlessly. Aside from erasing the most recent text entry of course) albeit sparsely. I have a seemingly permanent new Email notification (since I got service back) despite there being no message that I can find; even after deleting the account and adding it again, and a bevy of battery pulls - by new notification I mean the (1) next to the mailbox name.

    .230 had that notification problem with every new email, but it was fixed by rotating into and out of landscape; no such luck this go-round. The screen will autodim, of its own accord, even without the autodimming feature enabled. On occasion, the device will decide that I should only have 1 row of icons on my home screen (stock theme, mind you) or that perhaps there should only be three columns of icons on the app screen; the row issue has to be reset in the home screen options, the column thing has to be fixed by going to the home screen and back to the app screen.

    It seems to me that people will fall into one of three categories: those willing to turn a blind eye to the FW's problems because they just don't want to see them, those willing to turn a blind eye to the FW's problems because it is so much better than what they were coming from, and those (like me) who feel this should never have been pushed as an official release. {maybe there are others...?}

    This build screams of sloppy work and rushed testing. I was without service (data or voice) for 6 hours last night after upgrading. Before anyone starts talking crap about account or service area or device issues, my other line (same account) is a 9530 as well. I did not upgrade that FW (and might not) and it was working fine. I downgraded to .232 and my device worked fine; upgraded (again) to .238 and no service. It's working now... don't know why.

    Is .238 miles above and beyond .148 or .75/.65; most definitely. But I'm a better painter than a rock, does that make me a good, quality, painter; hardly. Good by comparison is no excuse for shoddy work from the RIM dev team or lazy testing from VZW.

    With that out of the way... I'm willing to put up with .238's problems and give it a shot at staying on my device. I like my Storm, I really do; but if RIM doesn't start showing a little bit of QA in their software pretty soon, they're going to be in a sinking-ship position.
    10-26-09 10:11 AM
  10. kinggeoff's Avatar
    This is just the nature of updates

    On any platform if an OS is to undergo reasonably large, or fundamental changes, programs will have to be adjusted to adapt to those changes. This takes time on everyone's part, just the way things are

    People will ***** about anything and everything under the sun. I haven't seen this phone crash since before .148 I am not seeing any java errors, program crashes, exceptions, or anything. The pixelated thumbnail thing I can live with for the sake of speed. The auto dim is annoying, but that's all I'm seeing. The rest is smooth sailing
    Last edited by kinggeoff; 10-26-09 at 10:24 AM.
    10-26-09 10:20 AM
  11. mikewanda1971's Avatar
    I dont see what the fuss is about. Everything works perfectly on my phone. No memory leak no auto dimming my facebook and BBM icons are there and working flawlessly. This update went off without a hitch. I dont have the 2icon scrunch thing happening either. I must be the luckiest storm owner alive. My phone works like it should have been all along. It booted with 38.5 last nite and after heavy use today im sitting at 38.2.
    10-26-09 10:38 AM
  12. Ronindan's Avatar

    It seems to me that people will fall into one of three categories: those willing to turn a blind eye to the FW's problems because they just don't want to see them, those willing to turn a blind eye to the FW's problems because it is so much better than what they were coming from, and those (like me) who feel this should never have been pushed as an official release. {maybe there are others...?}
    You forgot the fourth bunch, people (like me) who knows that this whole thing will blow away after three days (when most of the problems have been resolved) and people will again ask for os leaks.
    10-26-09 10:41 AM
  13. pstinger's Avatar
    You forgot the fourth bunch, people (like me) who knows that this whole thing will blow away after three days (when most of the problems have been resolved) and people will again ask for os leaks.
    lol; true that.
    10-26-09 10:43 AM
  14. Ronindan's Avatar
    lol; true that.
    Yep, I am actually tempted to start a thread asking for the new os leak
    10-26-09 10:47 AM
LINK TO POST COPIED TO CLIPBOARD